//////////////////////////////////////////////////////////////////////
// MessengerClientSocket.h: interface for the CMessengerClientSocket class.
// This class is a customized socket to send and receive client messages.
// For each connected client, one object of this class is created 
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MESSENGERCLIENTSOCKET_H__C62BA771_1B15_11D6_8109_0001031200E7__INCLUDED_)
#define AFX_MESSENGERCLIENTSOCKET_H__C62BA771_1B15_11D6_8109_0001031200E7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MessengerClientSocket.h : header file
//

class CMessengerServerDoc;
class CClientThread;

/////////////////////////////////////////////////////////////////////////////
// CMessengerClientSocket command target

class CMessengerClientSocket : public CSocket
{
// Attributes
public:
	CMessengerServerDoc *m_pParent;
	CClientThread		*m_pParentThread;
	void operator =(CMessengerClientSocket& sock);

// Operations
public:
	CMessengerClientSocket();
	CMessengerClientSocket(CMessengerServerDoc *parent);
	virtual ~CMessengerClientSocket();

// Overrides
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMessengerClientSocket)
	public:
	virtual void OnReceive(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CMessengerClientSocket)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
public:
	// Streams for passing data to and fro client
	CArchive				*m_pArIn;
	CArchive				*m_pArOut;
	CSocketFile				*m_pSocketFile;
	CString					m_strUserName;
	CString					m_strLoggedStatus;	// 'L' = logged in
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MESSENGERCLIENTSOCKET_H__C62BA771_1B15_11D6_8109_0001031200E7__INCLUDED_)
